<?php
function my_init() {
	if (!is_admin()) {
		wp_deregister_script('jquery');
		wp_register_script('jquery', get_template_directory_uri() . '/library/js/jquery.min.js', false, '1.8.1', true);
		wp_enqueue_script('jquery');
				
		// *Load this last* load a JS file for Ubuntu: js/core.js
		wp_enqueue_script('ubuntu_core', get_bloginfo('template_url') . '/library/js/core.js', array('jquery'), '1.0', true);
	}
}
add_action('init', 'my_init');
// add ie conditional html5 shim to header
function add_ie_html5_shim () {
	global $is_IE;
	if ($is_IE);
		echo '<!--[if lt IE 9]>';
    	echo '<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>';
		echo '<![endif]-->';
}
add_action('wp_head', 'add_ie_html5_shim');
// end add ie conditional html5 shim to header

// add google analytics to footer
function add_google_analytics() {
	if (!is_admin()) { ?>
        <!-- google analytics -->
		<script>
			var _gaq = _gaq || [];
			_gaq.push(['_setAccount', 'UA-1018242-12']);
			_gaq.push(['_trackPageview']);
			
			(function() {
			var ga = document.createElement('script'); ga.type =
			'text/javascript'; ga.async = true;
			ga.src = ('https:' == document.location.protocol ? 'https://ssl' :
			'http://www') + '.google-analytics.com/ga.js';
			var s = document.getElementsByTagName('script')[0];
			s.parentNode.insertBefore(ga, s);
			})();
		</script>
    <?php
    }
}
add_action('wp_footer', 'add_google_analytics');
// end add google analytics to footer

?>